package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag410;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT410AbsCreator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag32aCreator extends AbsTagCreate {
    private MT410AbsCreator mt410AbsCreator;

    public Tag32aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt410AbsCreator= (MT410AbsCreator) absMTCreator;
    }

    public void creator()
    {
        handlerCurAmtCreator(mt410AbsCreator,"amountAcknowledged");
    }
}
